Updates a member of the specified project.

POSThttps://api.awork.com/api/v1/projects/{projectId}/updateprojectmember
POST https://api.awork.com/api/v1/projects/{projectId}/updateprojectmember

Changes the member's role or responsible status. The selected role must be available for the project's type, and only one responsible member is allowed.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Request body Required

The model containing updated project member details.

application/json

userIdstringRequired
format: uuid

The id of the member.

projectRoleIdstringRequired
format: uuid

The id of the project role for this member.

isResponsiblebooleanOptional

Whether the user should be marked as responsible.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the project member entity.

userIdstringOptional
format: uuid

The id of the user who is this project member.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The project role of the project member.

projectRoleNamestring or nullOptional

The project role name of the project member.

isResponsiblebooleanOptional

Whether the user is responsible for this project.

isDeactivatedbooleanOptional

Whether the user is deactivated.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

Search documentation